#
# spec file for package gstreamer-0_10 (Version 0.10.21)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gstreamer-0_10
%define build_doc 0
%define _name gstreamer
Version:        0.10.21
Release:        3.13
%define gst_branch 0.10
BuildRequires:  bison check-devel fdupes flex glib2-devel libxml2-devel pyxml
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
%if %build_doc
BuildRequires:  docbook-toys docbook-utils gtk-doc transfig
%if %suse_version <= 1020
# Missing in transfig:
BuildRequires:  ghostscript-fonts-std ghostscript-library
%endif
%if %suse_version > 1030
BuildRequires:  texlive-latex texlive-latex-doc
%endif
# Name up to 10.3:
Provides:       gstreamer010-doc = %{version}
Obsoletes:      gstreamer010-doc < %{version}
# Generic name, never used in SuSE:
Provides:       gstreamer-doc = %{version}
# Ensure that the documentation corresponds with the installed version:
Requires:       libgstreamer-0_10-0 = %{version}
%else
Requires:       %{name}-lang = %{version}
# Name up to 10.3:
Provides:       gstreamer010 = %{version}
Obsoletes:      gstreamer010 < %{version} gstreamer010-lang < %{version}
# Generic name, never used in SuSE:
Provides:       gstreamer = %{version}
# Core modules may depend on new enough libraries:
Requires:       libgstreamer-0_10-0 >= %{version}
%endif
License:        LGPL v2.1 or later
Group:          Productivity/Multimedia/Other
Summary:        Streaming-Media Framework Runtime
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE gstreamer-0_10-no-gtk-doc-for-reals.patch maw@novell.com -- to build without gtk-doc, like totally for reals
Patch0:         gstreamer-0_10-no-gtk-doc-for-reals.patch
# PATCH-FIX-OPENSUSE gstreamer-0_10-protect-caps-bnc439323.patch gburt@novell.com -- fix bad GST_CAPS bug, already fixed upstream
# but recommended for distros to apply to 0.10.21 - see http://bugzilla.gnome.org/show_bug.cgi?id=555631
Patch1:         gstreamer-0_10-protect-caps-bnc439323.patch
Url:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%if !%build_doc

%package -n libgstreamer-0_10-0
License:        LGPL v2.1 or later
Summary:        Streaming-Media Framework Runtime
Group:          System/Libraries
# We want to have core modules installed:
Requires:       %{name}

%description -n libgstreamer-0_10-0
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%package utils
License:        LGPL v2.1 or later
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Generic name, never used in SuSE:
Provides:       gstreamer:%{_bindir}/gst-launch-%{gst_branch} = %{version}
# Symbol for unversioned wrappers:
Provides:       gstreamer-utils_versioned

%description utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%package -n gstreamer-utils
License:        LGPL v2.1 or later
Summary:        Streaming-Media Framework Runtime
Group:          Productivity/Multimedia/Other
# Name up to 10.3:
Provides:       gstreamer010:%{_bindir}/gst-launch = %{version}
# Generic name, never used in SuSE:
Provides:       gstreamer:%{_bindir}/gst-launch = %{version}
# At least one versioned package has to be present:
Requires:       gstreamer-utils_versioned

%description -n gstreamer-utils
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%package devel
License:        LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glib2-devel libxml2-devel popt-devel check-devel
# Name up to 10.3:
Provides:       gstreamer010-devel = %{version}
Obsoletes:      gstreamer010-devel < %{version}
# Generic name, never used in SuSE:
Provides:       gstreamer-devel = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Andy Wingo <wingo@pobox.com>
    Julien Moutte <julien@moutte.net>

%endif
%lang_package

%prep
%setup -q -n %{_name}-%{version}
%if ! %build_doc
%patch0 -p1
%patch1 -p0
%endif

%build
# FIXME: GTKDOC_CFLAGS, GST_OBJ_CFLAGS:
# Silently ignored compilation of uninstalled gtk-doc scanners without RPM_OPT_FLAGS.
NOCONFIGURE=1 ./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
%if %build_doc
	--enable-gtk-doc\
	--enable-docbook\
%endif
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
%if %build_doc
mv $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*/* $RPM_BUILD_ROOT%{_docdir}/%{name}
rmdir $RPM_BUILD_ROOT%{_datadir}/doc/gstreamer-*
%else
# TODO is empty
cp AUTHORS COPYING ChangeLog NEWS README RELEASE $RPM_BUILD_ROOT%{_docdir}/%{name}
%find_lang %{_name}-%{gst_branch}
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.*a
%endif
%if %build_doc
rm -rf $RPM_BUILD_ROOT/%{_bindir}/*
rm -rf $RPM_BUILD_ROOT/%{_libdir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/aclocal
rm -rf $RPM_BUILD_ROOT/%{_includedir}/*
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT/%{_mandir}
%else
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/manual
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}/pwg
%endif
%fdupes %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT
%if ! %build_doc

%post -n libgstreamer-0_10-0 -p /sbin/ldconfig

%postun -n libgstreamer-0_10-0 -p /sbin/ldconfig
%endif
%if %build_doc

%files 
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_datadir}/gtk-doc/html/*
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/pwg
%doc %{_docdir}/%{name}/faq
%else

%files
%defattr(-, root, root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/RELEASE
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/*.so

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstreamer-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files utils
%defattr(-, root, root)
%{_bindir}/*-%{gst_branch}
%doc %{_mandir}/man?/*-%{gst_branch}.*

%files -n gstreamer-utils
%defattr(-, root, root)
%{_bindir}/*
%exclude %{_bindir}/*-%{gst_branch}

%files devel
%defattr(-, root, root)
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%endif

%changelog
* Thu Nov  6 2008 sbrabec@suse.cz
- Fixed valgrid BuildRequires.
* Fri Oct 31 2008 gburt@suse.de
- Add patch from upstream to fix bad GST_CAPS bug in 0.10.21
    + Fixes bnc#439323 and bgo#555631
* Tue Oct 21 2008 maw@suse.de
- Update to version 0.10.21:
  +  Basetransform rework
  + Basesink synchronisation extensions
  + New documentation
  + Bugs fixed: bgo#481169, bgo#520694, bgo#538201, bgo#544855,
    bgo#339795, bgo#348114, bgo#361718, bgo#533856, bgo#536978,
    bgo#537804, bgo#537812, bgo#538568, bgo#539772, bgo#542175,
    bgo#543444, bgo#543853, bgo#544174, bgo#544776, bgo#545352,
    bgo#545603, bgo#545605, bgo#545607, bgo#545853, bgo#546328,
    bgo#546822, bgo#547277, bgo#547728, bgo#548394, bgo#548652,
    bgo#549504, bgo#551952, bgo#551978, bgo#547835, bgo#538628,
    bgo#546883, and bgo#551509
  + API added:
  * Add GST_TAG_ATTACHMENT for generic file attachments to streams.
  * Add gst_base_sink_set_render_delay()
  * Add gst_base_sink_get_render_delay()
  * Add gst_check_setup_src_pad_by_name
  * Add gst_check_setup_sink_pad_by_name
  * Add gst_check_teardown_pad_by_name
  * Add GstBaseTransform::gst_base_transform_suggest()
  * GstBaseTransform::gst_base_transform_reconfigure()
  * GstPad::gst_pad_set_iterate_internal_links_function()
  * GstPad::GstPadIterIntLinkFunction
  * GstPad::gst_pad_iterate_internal_links()
  * GstPad::gst_pad_iterate_internal_links_default()
  + API deprecated:
  * gst_pad_get_internal_links()
  * gst_pad_set_internal_link_function()
  * gst_pad_get_internal_links_default()
- Add gstreamer-0_10-no-gtk-doc-for-reals.patch.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 0.10.20:
  + Add the Presets interface
  + Use the binary registry by default
  + Deprecate gst_element_get_pad and don't use it anywhere any more.
  + Reverse playback fixes
  + API to get missing element messages from parse_launch parsing.
  + Fixes in latency calculations
  + BaseTransform negotiation fixes
  + New Buffering query and messages
  + Fix multiqueue deadlocks when changing limits
  + Remove pre-generated parser hacks and require newer flex/bison
  + Use GSlice in more places
  + Use static strings in property declarations everywhere to save memory
    allocations
  + Fix unaligned memory accesses with the binary registry and add CRC
    checks
  + Lots of other bug fixes
* Wed May 14 2008 cthiel@suse.de
- fix baselibs.conf
* Tue Apr 29 2008 cthiel@suse.de
- obsolete gstreamer010-<arch> via baselibs.conf
* Tue Apr 15 2008 sbrabec@suse.cz
- fix build
* Mon Apr 14 2008 sbrabec@suse.cz
- Updated to version 0.10.19:
  * Fix a regression in raw fd handling
  * Fixed: bgo#524041
- Fixed Obsoletes (bnc#357153).
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.10.18:
  + New GstPoll abstraction simplifies operations on multiple
    file descriptors
  + Bugs fixed: bgo#516187, bgo#516395, bgo#520756, bgo#498222,
    bgo#499127, bgo#505417, bgo#509559, bgo#510194, bgo#511783,
    bgo#513964, bgo#515469, bgo#519584, bgo#519698, bgo#520152,
    bgo#520671, bgo#520808, bgo#520877, bgo#521740, and bgo#522741.
* Wed Mar 19 2008 maw@suse.de
- Require texlive-latex and texlive-latex-doc to build.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.17:
  + Fix compilation problems
  + Bugs fixed: bgo#512715.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.16:
  + Monotonic/Posix clock support
  + Dumping of dot-file graph descriptions for debugging
  + Cleanup of exported symbols
  + Many bug fixes and enhancements
- Build with -fno-strict-aliasing.
* Tue Jan 22 2008 sbrabec@suse.cz
- Updated to version 0.10.15:
  * Changes for asynchronous sink management
  * New ts-offset property on basesink for adjusting clock synchronisation
  * New GstController LFO feature
  * Fixes and improvements in latency measurement for live pipelines
  * Additional documentation and docs fixes
  * Faster typefinding
  * More tag types added
  * Improvements in various core elements and parent classes
  * New unit tests
  * Allow dumping pipelines as dot graphs
  * GstStructures now support nesting
  * URIHandler interface can now be implemented in bindings
  * Many other bug-fixes and improvements
  * API additions
- Split package according to shared library packaging policy
  (#223286).
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.14:
  * State change handling improvements
  * New improved GstController API
  * Multi-queue fixes and enhancements
  * Fewer dynamic library relocations
  * Various other fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Add GstParamSpecFraction, so elements can have fraction
    properties without lots of painful string parsing.
  * Add fail_unless_equals_float() and assert_equals_float()
  * Add gst_type_register_static_full
  * Add gst_element_class_set_details_simple
  * Refactor GstController into the core controller which can take
    a GstControlSource for providing actual values for timestamps.
  * add GST_TAG_LICENSE_URI and GST_TAG_COPYRIGHT_URI
  * gst_element_factory_has_interface()
  * Many bugs fixed.
* Wed Aug 15 2007 coolo@suse.de
- do not require lang package in doc
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Jul 20 2007 aj@suse.de
- Create separate spec file for doc package.
* Thu Jul 12 2007 dmueller@suse.de
- fix installed headers to be compileable with -pedantic
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.13:
  * Latency handling infrastructure for live playback scenarios
  * State change handling changes
  * GstController property handling improved
  * Various bug fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Many bugs fixed
  * Many API additions
* Wed May 16 2007 sbrabec@suse.cz
- Build correctly in older products.
* Sun Apr 22 2007 aj@suse.de
- Cleanup BuildRequires.
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Mar 30 2007 aj@suse.de
- Add bison to build requires.
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.12:
  * API additions
  * Add a warning for improper GLib threading
  * Add support for binary registry serialisation
  * Preliminary support for pull-mode scheduling of entire chains
  * Add support for HPPA
  * Collectpads fixes
  * Lots of bug fixes
- Require check-devel.
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov 28 2006 sbrabec@suse.cz
- Build correctly in older products.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.10:
  * Scores of bug fixes
  * Better non-linear editing
  * Removed GLib 2.6 compatibility
  * Performance improvements on CPUs that support branch hints
  * __gst_debug_min symbol is properly externed
  * Can compile against GStreamer headers in pedantic mode
* Mon Jul 17 2006 danw@suse.de
- Rewrite XXXes to tmp file name before calling mkstemp a second
  time. Fixes the "gst-inspect doesn't work the first time" build bug.
* Fri Jun 16 2006 sbrabec@suse.cz
- Updated to version 0.10.8:
  * Many bug fixes
  * More API additions
  * Fixes for the collectpads helper
  * Support for proper time recording on server-trickmode streams
    via the applied_rate parameter of the NewSegment event
  * QoS in BaseTransform
  * BaseTransform reworked
  * Bus reworked; signal API added
  * Registry cache updating is now done in a fork, so no plugins
    are left opened
  * New version of data protocol now serializes events
* Thu May 25 2006 sbrabec@suse.cz
- Fixed uninitialized variable (#176290).
* Fri Mar 10 2006 jpr@suse.de
-update to version 0.10.4
-Changes since 0.10.3:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * 33%% of library size removed by parse change
  * (Experimental) QoS features (use max-lateness on BaseSink subclasses to enable)
  Bugs fixed since 0.10.3:
  * 323542 : GStreamer 0.10 hangs at EOS for all songs
  * 320340 : triggering a gst_task_join from the streaming task can de...
  * 322628 : document thread-unsafety of gst_value_foo() + gst_value_r...
  * 324186 : Smarter (deterministic!) typefind decisions
  * 324398 : varargs/valist functions aren't bindable
  * 328873 : only one gst_bin_recalc_state allowed at a time
  * 330899 : CVS directory in make dist tarball
  * 330906 : API: add GST_QUERY_TYPE_NAME and GST_MESSAGE_TYPE_NAME
  * 330996 : basesrc emits EOS unconditionally when going to READY
  * 331255 : Shrinking gst_parse_launch bloat
  * 331898 : Basetranform is not reusable
  * 332045 : API: GstPipeline needs API to disable  flushing of its bu...
  * 332277 : [filesrc] seek does not correct read position in non-mmap...
  * 332611 : [basesrc] needs way to prevent expensive start/stop in ch...
  * 332723 : New API: gst_type_find_helper_for_buffer
  * 333042 : New API: gst_type_find_helper_get_range
  * 333266 : Registry file writing rewrite
  * 333272 : tests should set G_SLICE=always-malloc now
  * 333417 : GST_BOILERPLATE_WITH_INTERFACE can't be used in C++ code
  * 333669 : Add pad accessor defines for GstBaseTransform
  * 333779 : New API: add gst_uri_has_protocol
  * 324818 : gst_registry_get_default doesn't sink newly created registry
  * 330125 : _pad_send_event does not check flushing correctly
  * 330684 : Add ability to emit sync-message without messing with the...
* Thu Feb 23 2006 jpr@suse.de
- update version to 0.10.3
- Changes since 0.10.2:
  * Documentation updates
  * Bug fixes
  * Base class improvements
  * Extra utility API
  * More elements ported from 0.8
  * Fixes for win32 build.
* Tue Feb 14 2006 sbrabec@suse.cz
- Do not package never generated registry.xml in /var (#149984).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.2.
* Tue Jan  3 2006 sbrabec@suse.cz
- Removed unneeded build requirements.
* Tue Jan  3 2006 sbrabec@suse.cz
- Updated to version 0.10.1.
* Tue Dec 13 2005 sbrabec@suse.cz
- Branched gstreamer010 and updated to version 0.10.0.
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed %%postun error on uninstallation.
* Fri Nov  4 2005 sbrabec@suse.cz
- Call branch-dependent gst-register (#132197).
* Mon Sep  5 2005 sbrabec@suse.cz
- Updated to version 0.8.11.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements (#72282).
* Thu May 26 2005 sbrabec@suse.cz
- Updated to version 0.8.10.
- Build all documentation.
- Split doc subpackage.
* Wed Mar 16 2005 sbrabec@suse.cz
- Build as user, copying xml.dcl is no more needed.
* Fri Feb 11 2005 gekker@suse.de
- Update to version 0.8.9
* Sat Jan 22 2005 ro@suse.de
- make docu build
* Mon Jan  3 2005 gekker@suse.de
- Update to version 0.8.8
* Tue Dec 21 2004 gekker@suse.de
- Update to version 0.8.7
* Mon Oct 11 2004 sbrabec@suse.cz
- Call gst-register properly (#46870).
* Tue Jun 22 2004 clahey@suse.de
- Fixed gst-register call to be in the right prefix.
* Fri Jun 11 2004 clahey@suse.de
- Don't use --gst-mask argument to gst-register.
* Wed Apr 28 2004 sbrabec@suse.cz
- Updated to version 0.8.1 (GNOME 2.6).
* Sun Mar 28 2004 ro@suse.de
- remove ghostscript-fonts-std from neededforbuild
  use plain ghostscript-mini to build
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Fri Feb 13 2004 sbrabec@suse.cz
- Updated to version 0.6.5.
- Build and install docs.
* Sat Jan 10 2004 adrian@suse.de
- use %%run_ldconfig
* Wed Nov  5 2003 ro@suse.de
- build with "-D_GNU_SOURCE" (for posix_memalign)
* Wed Oct 22 2003 sbrabec@suse.cz
- Updated to version 0.6.4.
* Thu Oct 16 2003 schwab@suse.de
- Add atomic ops for ia64.
- Fix warning.
* Wed Oct  8 2003 sbrabec@suse.cz
- Updated to version 0.6.3.
* Thu Sep 18 2003 sbrabec@suse.cz
- Call ldconfig before gst-register in %%post (bug #30675).
* Tue Sep 16 2003 sbrabec@suse.cz
- Call gst-register after installation.
- Added /var items to filelist.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 27 2003 sbrabec@suse.cz
- Updated to version 0.6.2.
- Fixed %%files.
- Fixed directory packaging.
* Wed May 28 2003 ro@suse.de
- remove unpackaged files from buildroot
* Wed Feb  5 2003 meissner@suse.de
- ppc64 is basically ppc, the assembler stub needed is the same.
* Tue Feb  4 2003 sbrabec@suse.cz
- Updated to version 0.6.0.
* Thu Jan 23 2003 sbrabec@suse.cz
- Updated to version 0.5.2.
- FHS fix (localstatedir).
* Fri Jan 17 2003 sbrabec@suse.cz
- Updated to version 0.5.1 (Gnome2).
* Thu Nov 21 2002 ro@suse.de
- fix duplicates in configure.in
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
* Fri Sep  6 2002 olh@suse.de
- fix build without atomic.h
* Thu Aug 22 2002 hhetter@suse.de
- added a README file and removed the SuSEconfig-script
  ( Bug Id#17620)
* Tue Aug 20 2002 hhetter@suse.de
- use Requires: %%{name} = %%{version} in devel package
- added PreReq: filesystem
* Thu Aug 15 2002 ro@suse.de
- removed gnome-utils from neededforbuild
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuld
* Thu Jul  4 2002 ro@suse.de
- neededforbuild quicktime4linux -> libquicktime
* Tue May 21 2002 meissner@suse.de
- %%_lib fixes, various libtool/autoconf/etc. patches.
- started port to x86_64
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Fri Nov 30 2001 ro@suse.de
- changed neededforbuild <docbktls> to <docbook-toys>
* Wed Nov 28 2001 ro@suse.de
- removed libmpeg2 from neededforbuild
* Tue Nov 20 2001 ro@suse.de
- added new gnome-vfs include path to CFLAGS
- added popt, gconf and oaf to neededforbuild
* Sat Sep  8 2001 egger@suse.de
- Removed LAME due to legal reasons.
* Mon Aug 20 2001 ro@suse.de
- added diffs from cvs to build with current lame and current alsa
* Mon Aug 20 2001 ro@suse.de
- up to 0.2.1 to try to fix compilation
- added kdelibs-artsd to neededforbuild
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Fri Jul 20 2001 kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Wed Jun 27 2001 hhetter@suse.de
- improved documentation support, enabled gtkdoc & docbkutils
* Tue Jun 26 2001 hhetter@suse.de
- added SuSEconfig.gstreamer script
- enabled sdl, libvorbis, ogg, gnome, alsa,
  cdparanoia, aalib and mpeg2 modules
- functionality test in chrooted environment
* Mon Jun 18 2001 hhetter@suse.de
- fixed typo in specfile
* Fri Jun 15 2001 hhetter@suse.de
- update to 0.2.0
- specfile & filelist rework
* Thu Mar 15 2001 hhetter@suse.de
- initial SuSE Package
